package com.community.huiju.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.baomidou.mybatisplus.core.metadata.IPage;

import com.community.huiju.model.TaUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper

public interface TaUserMapper extends BaseMapper<TaUser> {
    int deleteByPrimaryKey(Integer id);
    
    @Override
    int insert(TaUser record);

    int insertSelective(TaUser record);

    TaUser selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TaUser record);

    int updateByPrimaryKey(TaUser record);

    /**
     * 获取已认证通过的
     * @param map
     * @param page
     * @return
     */
    List<Map<Object,Object>> selectUserApprove(Map<Object, Object> map, IPage page);
    
    /**
     * 查看是否有未认证数据
     * @param ownerTel
     * @param communityId
     * @return
     */
    TaUser selectByTel(@Param("loginName") String ownerTel,@Param("communityId") Integer communityId);
    
    int batchUpdate(List<TaUser> updataTaUserList);

}