import { buildingAddress, buildingList } from '@/api/buildingOwnerInfo'

const buildingOwnerInfo = {
  state: {
    list: ''
  },
  mutations: {
    SET_LIST: (data) => {
      this.state.list = data
    }
  },
  actions: {
    BuildingAddress({ commit }, data) { // 查询 楼栋/单元/楼层/户号
      return new Promise((resolve, reject) => {
        buildingAddress(data).then(response => {
          // console.log('查询 楼栋/单元/楼层/户号: ', response)
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    BuildingInfoList({ commit }, data) { // 根据条件查询 楼栋信息库
      return new Promise((resolve, reject) => {
        buildingList(data).then(response => {
          // const data = response.data
          // commit('SET_LIST', data)
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    }
  }
}

export default buildingOwnerInfo
